> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 의뢰 단계 목록 조회

> 비즈니스의 의뢰 상태(InquiryStatus) 카탈로그를 조회합니다.

각 상태는 특정 폴더에 속하며 (`folder` 필드), 의뢰 생성/수정 시 `status.id`로 참조됩니다. 기본 폴더의 기본 상태는 의뢰 생성 시 status 미지정 시 자동 할당됩니다.



## OpenAPI

````yaml GET /v1/inquiry/status
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/inquiry/status:
    get:
      tags:
        - inquiry
      summary: 의뢰 상태 목록
      description: >-
        비즈니스의 의뢰 상태(InquiryStatus) 카탈로그를 조회합니다.


        각 상태는 특정 폴더에 속하며 (`folder` 필드), 의뢰 생성/수정 시 `status.id`로 참조됩니다. 기본 폴더의 기본
        상태는 의뢰 생성 시 status 미지정 시 자동 할당됩니다.
      operationId: inquiry_status_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: Pagination을 위한 커서
          schema:
            type: string
        - in: query
          name: folder_id
          schema:
            type: string
        - name: page_size
          required: false
          in: query
          description: 한번에 조회할 데이터의 개수 (limit)
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOpenapiNestedInquiryStatusList'
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    PaginatedOpenapiNestedInquiryStatusList:
      type: object
      required:
        - results
      properties:
        next:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cD00ODY%3D"
        previous:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
        results:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiNestedInquiryStatus'
    OpenapiNestedInquiryStatus:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        title:
          type: string
          readOnly: true
        folder:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedFolder'
          readOnly: true
      required:
        - folder
        - id
        - title
    OpenapiNestedFolder:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          readOnly: true
      required:
        - id
        - name
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````